OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
op::WrapperStructHand Struct Reference

`#include <wrapperStructHand.hpp>`

## Public Member Functions
| WrapperStructHand (const bool enable=false, const Point< int > &netInputSize=Point< int >{368, 368}, const int scalesNumber=1, const float scaleRange=0.4f, const bool tracking=false, const RenderMode renderMode=RenderMode::Gpu, const float alphaKeypoint=HAND_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=HAND_DEFAULT_ALPHA_HEAT_MAP, const float renderThreshold=0.2f)

## Public Attributes
bool | enable
Point< int > | netInputSize
int | scalesNumber
float | scaleRange
bool | tracking
RenderMode | renderMode
float | alphaKeypoint
float | alphaHeatMap
float | renderThreshold

## Detailed Description

WrapperStructHand: Hand estimation and rendering configuration struct. WrapperStructHand allows the user to set up the hand estimation and rendering parameters that will be used for the OpenPose WrapperT template and Wrapper class.

## Constructor & Destructor Documentation

op::WrapperStructHand::WrapperStructHand | ( | const bool | enable = `false`,
|  | const Point< int > & | netInputSize = `Point< int >{368, 368}`,
|  | const int | scalesNumber = `1`,
|  | const float | scaleRange = `0.4f`,
|  | const bool | tracking = `false`,
|  | const RenderMode | renderMode = `RenderMode::Gpu`,
|  | const float | alphaKeypoint = `HAND_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `HAND_DEFAULT_ALPHA_HEAT_MAP`,
|  | const float | renderThreshold = `0.2f`
| ) |  |

Constructor of the struct. It has the recommended and default values we recommend for each element of the struct. Since all the elements of the struct are public, they can also be manually filled.

## Member Data Documentation

float op::WrapperStructHand::alphaHeatMap

Rendering blending alpha value of the heat maps (hand part, background or PAF) with respect to the background image. Value in the range [0, 1]. 0 will only render the background, 1 will only render the heat map.

float op::WrapperStructHand::alphaKeypoint

Rendering blending alpha value of the pose point locations with respect to the background image. Value in the range [0, 1]. 0 will only render the background, 1 will fully render the pose.

bool op::WrapperStructHand::enable

Whether to extract hand.

Point<int> op::WrapperStructHand::netInputSize

CCN (Conv Net) input size. The greater, the slower and more memory it will be needed, but it will potentially increase accuracy. Both width and height must be divisible by 16.

RenderMode op::WrapperStructHand::renderMode

Whether to render the output (pose locations, body, background or PAF heat maps) with CPU or GPU. Select `None` for no rendering, `Cpu` or `Gpu` por CPU and GPU rendering respectively.

float op::WrapperStructHand::renderThreshold

Rendering threshold. Only estimated keypoints whose score confidences are higher than this value will be rendered. Generally, a high threshold (> 0.5) will only render very clear body parts; while small thresholds (~0.1) will also output guessed and occluded keypoints, but also more false positives (i.e., wrong detections).

float op::WrapperStructHand::scaleRange

Total range between smallest and biggest scale. The scales will be centered in ratio 1. E.g., if scaleRange = 0.4 and scalesNumber = 2, then there will be 2 scales, 0.8 and 1.2.

int op::WrapperStructHand::scalesNumber

Number of scales to process. The greater, the slower and more memory it will be needed, but it will potentially increase accuracy. This parameter is related with scaleRange, such as the final pose estimation will be an average of the predicted results for each scale.

bool op::WrapperStructHand::tracking

Whether to add tracking between frames. Adding hand tracking might improve hand keypoints detection for webcam (if the frame rate is high enough, i.e., >7 FPS per GPU) and video. This is not person ID tracking, it simply looks for hands in positions at which hands were located in previous frames, but it does not guarantee the same person id among frames.

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/wrapper/wrapperStructHand.hpp